//	Cassidy.h

#include "BlanketModule.h"
#include "DesktopSaver.h"

class CassidySaver : public BlanketModule::Saver
{
	public:
	
		CassidySaver(BlanketModule *, BView *, int, bool, int);
		
		void Tick(void);
		
	private:
	
		float x, y;
		float H, S, V;
		uint32 t;
		int refresh;
		bool inColor;
		float inc;
		float a, b, c;
};

class Cassidy : public BlanketModule
{
	friend class CassidyFilter;
	
	public:
	
		Cassidy(BMessage *);
		
		status_t Archive(BMessage *, bool) const;
		
		BlanketModule::Saver *InstantiateSaver(BView *, bool);
		BlanketModule::Config *InstantiateConfig(BView *);
		
	private:

		bool inColor;	
		long refresh;
		long cycle;
};
